The Graph Object
================

The fundamental object in LAGraph is the ``LAGraph_Graph``.

.. doxygentypedef:: LAGraph_Graph

.. doxygenstruct:: LAGraph_Graph_struct
    :members:
    :undoc-members:

.. doxygenenum:: LAGraph_Boolean

.. doxygenenum:: LAGraph_State

.. doxygenenum:: LAGraph_Kind


Basic Graph Functions
---------------------

.. doxygenfunction:: LAGraph_New

.. doxygenfunction:: LAGraph_Delete

.. doxygenfunction:: LAGraph_DeleteCached

.. doxygenfunction:: LAGraph_Cached_AT

.. doxygenfunction:: LAGraph_Cached_IsSymmetricStructure

.. doxygenfunction:: LAGraph_Cached_OutDegree

.. doxygenfunction:: LAGraph_Cached_InDegree

.. doxygenfunction:: LAGraph_Cached_NSelfEdges

.. doxygenfunction:: LAGraph_Cached_EMin

.. doxygenfunction:: LAGraph_Cached_EMax

.. doxygenfunction:: LAGraph_DeleteSelfEdges

.. _lagraph_checkgraph:
.. doxygenfunction:: LAGraph_CheckGraph

